package com.community.huiju.common.base;

import com.community.commom.constant.Constant;
import com.community.commom.session.UserElement;
import com.community.huiju.exception.WisdomException;

import javax.servlet.http.HttpSession;

/**
 * @author FXF
 * @date 2018-12-18
 */
public class BaseController {

    /**
     * 获取 UserElement
     * @param session
     * @return
     */
    protected UserElement getUserElement(HttpSession session){
        UserElement userElement = (UserElement) session.getAttribute(Constant.WEB_PROPERTY_USER_SESSION);
        if (null == userElement) {
            throw new WisdomException("用户凭证不存在!");
        }
        return userElement;
    }

}
