package com.community.huiju.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.huiju.model.TaUser;

/**
 * <p>
 * 物业web端用户表 服务类
 * </p>
 *
 * @author jobob
 * @since 2018-12-18
 */
public interface IUserService extends IService<TaUser> {

    /**
     * 分页查询已认证通过的业主
     * @param paramets
     * @return
     */
    ResponseBean selectUserApprove(String paramets);

    /**
     * 登陆
     * @param phone
     * @param communityId
     * @param code
     * @return
     */
    ResponseBean login(String phone, Integer communityId, Integer code);

}
