package com.community.huiju;

import com.alibaba.fastjson.JSONObject;
import com.community.huiju.dao.BuildingOwnerInfoMapper;
import com.community.huiju.dao.SysRoleMapper;
import com.community.huiju.model.BuildingOwnerInfo;
import com.community.huiju.model.SysRole;
import com.google.common.collect.Maps;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;
import java.util.Map;

@RunWith(SpringRunner.class)
@SpringBootTest
public class DemoApplicationTests {

	@Autowired
	private BuildingOwnerInfoMapper buildingOwnerInfoMapper;
	@Autowired
	private SysRoleMapper sysRoleMapper;

	@Test
	public void contextLoads() {

		List<BuildingOwnerInfo> list = buildingOwnerInfoMapper.selectList(null);
		System.out.println(list.size());
	}

	@Test
	public void getSysRoleMapper(){
		// 查询该用户的权限
		Map<String, Object> map = Maps.newHashMap();
		map.put("userId", 29);
		List<SysRole> sysRoleList = sysRoleMapper.selectByUserIdAndRoleId(map);
		System.out.println(JSONObject.toJSONString(sysRoleList));
	}

}
